### Constructor

# Ide Settings new

#### Declaration

    IdeSettings*
    ide_settings_new (
      const gchar* project_id,
      const gchar* schema_id,
      const gchar* relative_path,
      gboolean ignore_project_settings
    )

#### Description

No description available.

#### Parameters

`project_id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`schema_id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`relative_path` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`ignore_project_settings` | `gboolean`
| No description available.

#### Return value

Returns: | `IdeSettings`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.